{
  "components" : {
    "securitySchemes" : {
      "apiKey" : {
        "bearerFormat" : "JWT",
        "scheme" : "bearer",
        "type" : "http"
      },
      "basicAuth" : {
        "scheme" : "basic",
        "type" : "http"
      }
    }
  },
  "info" : {
    "contact" : {
      "email" : "help@treasuryprime.com",
      "name" : "Treasury Prime Support",
      "url" : "https://support.treasuryprime.com"
    },
    "summary" : "Banking APIs",
    "termsOfService" : "https://www.treasuryprime.com/policy/terms",
    "title" : "Cards",
    "version" : "1.18.731-gcbd60cfd"
  },
  "openapi" : "3.1.0",
  "paths" : {
    "/card" : {
      "get" : {
        "parameters" : [ {
          "description" : "The ID of the account that the card should be issued against. Filterable.",
          "in" : "query",
          "name" : "account_id",
          "schema" : {
            "type" : "string"
          }
        }, {
          "description" : "The ID of the card product that this card should be issued from. Filterable.",
          "in" : "query",
          "name" : "card_product_id",
          "schema" : {
            "type" : "string"
          }
        }, {
          "description" : "Last 4 digits of the card number. Filterable.",
          "in" : "query",
          "name" : "last4",
          "schema" : {
            "type" : "string"
          }
        }, {
          "description" : "The ID of the person representing the cardholder that this card will be issued to. Filterable.",
          "in" : "query",
          "name" : "person_id",
          "schema" : {
            "type" : "string"
          }
        }, {
          "description" : "When true, the `cvv` field will be returned with non-null data. False by default. Requires PCI compliance.",
          "in" : "query",
          "name" : "show_cvv",
          "schema" : {
            "enum" : [ "true", "false" ],
            "type" : "string"
          }
        }, {
          "description" : "When true, the `pan` field will be returned with non-null data. False by default. Requires PCI compliance.",
          "in" : "query",
          "name" : "show_pan",
          "schema" : {
            "enum" : [ "true", "false" ],
            "type" : "string"
          }
        }, {
          "description" : "One of: `unactivated`, `active`, `suspended`, `terminated`. Filterable.",
          "in" : "query",
          "name" : "status",
          "schema" : {
            "type" : "string"
          }
        }, {
          "description" : "Pagination cursor, value is the object ID.",
          "in" : "query",
          "name" : "page_cursor",
          "schema" : {
            "type" : "string"
          }
        }, {
          "description" : "Limits the number of objects in the returned list, value must be a number greater than or equal to 1. Defaults to 100.",
          "in" : "query",
          "name" : "page_size",
          "schema" : {
            "default" : 100,
            "minimum" : 1,
            "type" : "integer"
          }
        }, {
          "description" : "Lists the objects created on the date provided and onwards. Date must be in ISO 8601 format (“YYYY-MM-DD”).",
          "in" : "query",
          "name" : "from_date",
          "schema" : {
            "type" : "string"
          }
        }, {
          "description" : "Lists the objects created before the date provided. Date must be in ISO 8601 format (“YYYY-MM-DD”).",
          "in" : "query",
          "name" : "to_date",
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "examples" : {
                  "example" : {
                    "summary" : "Success",
                    "value" : {
                      "data" : [ {
                        "account_id" : "acct_291u96075mva",
                        "card_controls" : null,
                        "card_product_id" : "cdpt_w10r2sebv0nl",
                        "created_at" : "2021-02-19T20:42:40Z",
                        "cvv" : null,
                        "expiration" : "0225",
                        "external_id" : "tprime_card_zuhqnmz7e085",
                        "fulfillment" : {
                          "shipping_method" : "USPS Mail (5-7 business days)",
                          "status" : "issued",
                          "tracking_number" : null
                        },
                        "id" : "card_zuhqnmz7e085",
                        "last4" : "3385",
                        "pan" : null,
                        "person_id" : "psn_5vyzn6sveupa",
                        "pin_is_set" : false,
                        "status" : "unactivated",
                        "updated_at" : "2021-02-19T20:42:41Z",
                        "userdata" : null
                      } ]
                    }
                  }
                },
                "schema" : {
                  "properties" : {
                    "data" : {
                      "items" : {
                        "properties" : {
                          "account_id" : {
                            "description" : "The ID of the account that the card should be issued against. Filterable.",
                            "type" : "string"
                          },
                          "card_controls" : {
                            "description" : "An object that defines rules for how this card can be used",
                            "properties" : {
                              "controls" : {
                                "items" : {
                                  "properties" : {
                                    "amount" : {
                                      "format" : "float",
                                      "type" : "number"
                                    },
                                    "interval" : {
                                      "type" : "string"
                                    },
                                    "mccs" : {
                                      "items" : {
                                        "type" : "string"
                                      },
                                      "type" : "array"
                                    },
                                    "mids" : {
                                      "items" : {
                                        "type" : "string"
                                      },
                                      "type" : "array"
                                    },
                                    "restriction" : {
                                      "type" : "string"
                                    },
                                    "rollover_time" : {
                                      "type" : "string"
                                    },
                                    "timezone" : {
                                      "type" : "string"
                                    },
                                    "type" : {
                                      "type" : "string"
                                    },
                                    "version" : {
                                      "type" : "integer"
                                    },
                                    "window" : {
                                      "type" : "integer"
                                    }
                                  },
                                  "type" : "object"
                                },
                                "type" : "array"
                              },
                              "name" : {
                                "type" : "string"
                              }
                            },
                            "type" : "object"
                          },
                          "card_product_id" : {
                            "description" : "The ID of the card product that this card should be issued from. Filterable.",
                            "type" : "string"
                          },
                          "creation_options" : {
                            "description" : "An object that defines additional fields for card customization on creation",
                            "properties" : {
                              "name_line_one" : {
                                "description" : "Specifies the first line of personalized text that appears on the card. (max 21 characters)",
                                "type" : "string"
                              },
                              "name_line_two" : {
                                "description" : "Specifies the second line of personalized text that appears on the card. (max 21 characters)",
                                "type" : "string"
                              }
                            },
                            "type" : "object"
                          },
                          "cvv" : {
                            "description" : "The 3-digit card verification code. Note this field will return null unless the `show_cvv` query parameter is set",
                            "type" : "string"
                          },
                          "expiration" : {
                            "description" : "The card expiration year and month, in MMYY format",
                            "type" : "string"
                          },
                          "fulfillment" : {
                            "description" : "Information about the card's fulfillment process",
                            "properties" : {
                              "shipping_method" : {
                                "description" : "The shipping service used",
                                "type" : "string"
                              },
                              "status" : {
                                "description" : "One of: `issued`, `ordered`, `reordered`, `rejected`, `shipped`, `digitally_presented`",
                                "type" : "string"
                              },
                              "tracking_number" : {
                                "description" : "A tracking number for eligible card manufacturers and shipping methods",
                                "type" : "string"
                              }
                            },
                            "type" : "object"
                          },
                          "id" : {
                            "description" : "Unique identifier for object",
                            "type" : "string"
                          },
                          "last4" : {
                            "description" : "Last 4 digits of the card number. Filterable.",
                            "type" : "string"
                          },
                          "new_pan_from_card_id" : {
                            "description" : "The ID of a card to reissue. If this field is entered a new card will be created without pin, a new PAN, CVV and expiration",
                            "type" : "string"
                          },
                          "pan" : {
                            "description" : "The primary 16-digit card number. Note this field will return null unless the `show_pan` parameter is set",
                            "type" : "string"
                          },
                          "person_id" : {
                            "description" : "The ID of the person representing the cardholder that this card will be issued to. Filterable.",
                            "type" : "string"
                          },
                          "pin_is_set" : {
                            "description" : "Reflects whether the user has set a PIN on the card; initially false",
                            "type" : "boolean"
                          },
                          "reissue_pan_from_card_id" : {
                            "description" : "The ID of a card to reissue. If this field is entered a new card will be created with the same PAN and pin, but new CVV and expiration.",
                            "type" : "string"
                          },
                          "show_cvv" : {
                            "description" : "When true, the `cvv` field will be returned with non-null data. False by default. Requires PCI compliance.",
                            "enum" : [ "true", "false" ],
                            "type" : "string"
                          },
                          "show_pan" : {
                            "description" : "When true, the `pan` field will be returned with non-null data. False by default. Requires PCI compliance.",
                            "enum" : [ "true", "false" ],
                            "type" : "string"
                          },
                          "status" : {
                            "description" : "One of: `unactivated`, `active`, `suspended`, `terminated`. Filterable.",
                            "type" : "string"
                          },
                          "userdata" : {
                            "description" : "Optional arbitrary user data",
                            "type" : "object"
                          }
                        },
                        "type" : "object"
                      },
                      "type" : "array"
                    }
                  }
                }
              }
            },
            "description" : "A dictionary with a `data` property that contains a list of up to `page_size` card elements, starting after the card described by `page_cursor`. If no more cards are available, the resulting list will be empty."
          }
        },
        "summary" : "List Cards",
        "tags" : [ "Card" ]
      },
      "post" : {
        "requestBody" : {
          "content" : {
            "application/json" : {
              "examples" : {
                "example" : {
                  "summary" : "Example",
                  "value" : {
                    "account_id" : "acct_291u96075mva",
                    "card_product_id" : "cdpt_w10r2sebv0nl",
                    "creation_options" : {
                      "name_line_two" : "VP of cards"
                    },
                    "person_id" : "psn_5vyzn6sveupa"
                  }
                }
              },
              "schema" : {
                "properties" : {
                  "account_id" : {
                    "description" : "The ID of the account that the card should be issued against. Filterable.",
                    "type" : "string"
                  },
                  "card_controls" : {
                    "description" : "An object that defines rules for how this card can be used",
                    "properties" : {
                      "controls" : {
                        "items" : {
                          "properties" : {
                            "amount" : {
                              "format" : "float",
                              "type" : "number"
                            },
                            "interval" : {
                              "type" : "string"
                            },
                            "mccs" : {
                              "items" : {
                                "type" : "string"
                              },
                              "type" : "array"
                            },
                            "mids" : {
                              "items" : {
                                "type" : "string"
                              },
                              "type" : "array"
                            },
                            "restriction" : {
                              "type" : "string"
                            },
                            "rollover_time" : {
                              "type" : "string"
                            },
                            "timezone" : {
                              "type" : "string"
                            },
                            "type" : {
                              "type" : "string"
                            },
                            "version" : {
                              "type" : "integer"
                            },
                            "window" : {
                              "type" : "integer"
                            }
                          },
                          "type" : "object"
                        },
                        "type" : "array"
                      },
                      "name" : {
                        "type" : "string"
                      }
                    },
                    "type" : "object"
                  },
                  "card_product_id" : {
                    "description" : "The ID of the card product that this card should be issued from. Filterable.",
                    "type" : "string"
                  },
                  "creation_options" : {
                    "description" : "An object that defines additional fields for card customization on creation",
                    "properties" : {
                      "name_line_one" : {
                        "description" : "Specifies the first line of personalized text that appears on the card. (max 21 characters)",
                        "type" : "string"
                      },
                      "name_line_two" : {
                        "description" : "Specifies the second line of personalized text that appears on the card. (max 21 characters)",
                        "type" : "string"
                      }
                    },
                    "type" : "object"
                  },
                  "new_pan_from_card_id" : {
                    "description" : "The ID of a card to reissue. If this field is entered a new card will be created without pin, a new PAN, CVV and expiration",
                    "type" : "string"
                  },
                  "person_id" : {
                    "description" : "The ID of the person representing the cardholder that this card will be issued to. Filterable.",
                    "type" : "string"
                  },
                  "reissue_pan_from_card_id" : {
                    "description" : "The ID of a card to reissue. If this field is entered a new card will be created with the same PAN and pin, but new CVV and expiration.",
                    "type" : "string"
                  },
                  "show_cvv" : {
                    "description" : "When true, the `cvv` field will be returned with non-null data. False by default. Requires PCI compliance.",
                    "enum" : [ "true", "false" ],
                    "type" : "string"
                  },
                  "show_pan" : {
                    "description" : "When true, the `pan` field will be returned with non-null data. False by default. Requires PCI compliance.",
                    "enum" : [ "true", "false" ],
                    "type" : "string"
                  },
                  "status" : {
                    "description" : "One of: `unactivated`, `active`, `suspended`, `terminated`. Filterable.",
                    "type" : "string"
                  },
                  "userdata" : {
                    "description" : "Optional arbitrary user data",
                    "type" : "object"
                  }
                },
                "required" : [ "account_id", "person_id", "card_product_id", "id" ]
              }
            }
          },
          "description" : "The card to create",
          "required" : true
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "examples" : {
                  "example" : {
                    "summary" : "Success",
                    "value" : {
                      "account_id" : "acct_291u96075mva",
                      "card_controls" : null,
                      "card_product_id" : "cdpt_w10r2sebv0nl",
                      "created_at" : "2021-02-19T20:42:40Z",
                      "cvv" : null,
                      "expiration" : "0225",
                      "external_id" : "tprime_card_zuhqnmz7e085",
                      "fulfillment" : {
                        "shipping_method" : "USPS Mail (5-7 business days)",
                        "status" : "issued",
                        "tracking_number" : null
                      },
                      "id" : "card_zuhqnmz7e085",
                      "last4" : "3385",
                      "pan" : null,
                      "person_id" : "psn_5vyzn6sveupa",
                      "pin_is_set" : false,
                      "status" : "unactivated",
                      "updated_at" : "2021-02-19T20:42:41Z",
                      "userdata" : null
                    }
                  }
                },
                "schema" : {
                  "properties" : {
                    "account_id" : {
                      "description" : "The ID of the account that the card should be issued against. Filterable.",
                      "type" : "string"
                    },
                    "card_controls" : {
                      "description" : "An object that defines rules for how this card can be used",
                      "properties" : {
                        "controls" : {
                          "items" : {
                            "properties" : {
                              "amount" : {
                                "format" : "float",
                                "type" : "number"
                              },
                              "interval" : {
                                "type" : "string"
                              },
                              "mccs" : {
                                "items" : {
                                  "type" : "string"
                                },
                                "type" : "array"
                              },
                              "mids" : {
                                "items" : {
                                  "type" : "string"
                                },
                                "type" : "array"
                              },
                              "restriction" : {
                                "type" : "string"
                              },
                              "rollover_time" : {
                                "type" : "string"
                              },
                              "timezone" : {
                                "type" : "string"
                              },
                              "type" : {
                                "type" : "string"
                              },
                              "version" : {
                                "type" : "integer"
                              },
                              "window" : {
                                "type" : "integer"
                              }
                            },
                            "type" : "object"
                          },
                          "type" : "array"
                        },
                        "name" : {
                          "type" : "string"
                        }
                      },
                      "type" : "object"
                    },
                    "card_product_id" : {
                      "description" : "The ID of the card product that this card should be issued from. Filterable.",
                      "type" : "string"
                    },
                    "creation_options" : {
                      "description" : "An object that defines additional fields for card customization on creation",
                      "properties" : {
                        "name_line_one" : {
                          "description" : "Specifies the first line of personalized text that appears on the card. (max 21 characters)",
                          "type" : "string"
                        },
                        "name_line_two" : {
                          "description" : "Specifies the second line of personalized text that appears on the card. (max 21 characters)",
                          "type" : "string"
                        }
                      },
                      "type" : "object"
                    },
                    "cvv" : {
                      "description" : "The 3-digit card verification code. Note this field will return null unless the `show_cvv` query parameter is set",
                      "type" : "string"
                    },
                    "expiration" : {
                      "description" : "The card expiration year and month, in MMYY format",
                      "type" : "string"
                    },
                    "fulfillment" : {
                      "description" : "Information about the card's fulfillment process",
                      "properties" : {
                        "shipping_method" : {
                          "description" : "The shipping service used",
                          "type" : "string"
                        },
                        "status" : {
                          "description" : "One of: `issued`, `ordered`, `reordered`, `rejected`, `shipped`, `digitally_presented`",
                          "type" : "string"
                        },
                        "tracking_number" : {
                          "description" : "A tracking number for eligible card manufacturers and shipping methods",
                          "type" : "string"
                        }
                      },
                      "type" : "object"
                    },
                    "id" : {
                      "description" : "Unique identifier for object",
                      "type" : "string"
                    },
                    "last4" : {
                      "description" : "Last 4 digits of the card number. Filterable.",
                      "type" : "string"
                    },
                    "new_pan_from_card_id" : {
                      "description" : "The ID of a card to reissue. If this field is entered a new card will be created without pin, a new PAN, CVV and expiration",
                      "type" : "string"
                    },
                    "pan" : {
                      "description" : "The primary 16-digit card number. Note this field will return null unless the `show_pan` parameter is set",
                      "type" : "string"
                    },
                    "person_id" : {
                      "description" : "The ID of the person representing the cardholder that this card will be issued to. Filterable.",
                      "type" : "string"
                    },
                    "pin_is_set" : {
                      "description" : "Reflects whether the user has set a PIN on the card; initially false",
                      "type" : "boolean"
                    },
                    "reissue_pan_from_card_id" : {
                      "description" : "The ID of a card to reissue. If this field is entered a new card will be created with the same PAN and pin, but new CVV and expiration.",
                      "type" : "string"
                    },
                    "show_cvv" : {
                      "description" : "When true, the `cvv` field will be returned with non-null data. False by default. Requires PCI compliance.",
                      "enum" : [ "true", "false" ],
                      "type" : "string"
                    },
                    "show_pan" : {
                      "description" : "When true, the `pan` field will be returned with non-null data. False by default. Requires PCI compliance.",
                      "enum" : [ "true", "false" ],
                      "type" : "string"
                    },
                    "status" : {
                      "description" : "One of: `unactivated`, `active`, `suspended`, `terminated`. Filterable.",
                      "type" : "string"
                    },
                    "userdata" : {
                      "description" : "Optional arbitrary user data",
                      "type" : "object"
                    }
                  }
                }
              }
            },
            "description" : "The card created"
          }
        },
        "summary" : "Create a Card",
        "tags" : [ "Card" ]
      }
    },
    "/card/uxt_theme" : {
      "post" : {
        "requestBody" : {
          "content" : {
            "application/json" : {
              "examples" : {
                "example" : {
                  "summary" : "Example",
                  "value" : {
                    "theme" : {
                      "borderRadius" : "8px",
                      "primaryColor" : "#1A73E8"
                    }
                  }
                }
              },
              "schema" : {
                "properties" : {
                  "theme" : {
                    "description" : "JSON theme object defining the customized look-and-feel for a card product",
                    "type" : "object"
                  }
                },
                "required" : [ "theme" ]
              }
            }
          },
          "description" : "The card.theme to create",
          "required" : true
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "examples" : {
                  "example" : {
                    "summary" : "Success",
                    "value" : {
                      "theme_name" : "org_123-2026-05-13"
                    }
                  }
                },
                "schema" : {
                  "properties" : {
                    "theme" : {
                      "description" : "JSON theme object defining the customized look-and-feel for a card product",
                      "type" : "object"
                    }
                  }
                }
              }
            },
            "description" : "The card.theme created"
          }
        },
        "summary" : "Upload a UX Toolkit Theme",
        "tags" : [ "MarqetaUXT" ]
      }
    },
    "/card/{card_id}/digital_wallet_token/apple_pay" : {
      "post" : {
        "parameters" : [ {
          "description" : "The ID card being added to the wallet",
          "in" : "path",
          "name" : "card_id",
          "required" : true,
          "schema" : {
            "description" : "The ID card being added to the wallet",
            "type" : "string"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "examples" : {
                "example" : {
                  "summary" : "Example",
                  "value" : {
                    "card_id" : "card_291u96075mva",
                    "certificates" : [ "MIIEPDCCA+KgAwIBAgICEAAwCQYHKoZIzj...", "MIIDZjCCAw2gAwIBAgIJAJx22AGaEPSgMA..." ],
                    "device_type" : "mobile_phone",
                    "nonce" : "vXWJaBidcTLaJJCF",
                    "nonce_signature" : "jD4Aphu+93N2wbBn",
                    "provisioning_app_version" : "2.13.3"
                  }
                }
              },
              "schema" : {
                "properties" : {
                  "card_id" : {
                    "description" : "The ID card being added to the wallet",
                    "type" : "string"
                  },
                  "certificates" : {
                    "description" : "Leaf and sub-CA certificates provided by Apple",
                    "items" : {
                      "type" : "string"
                    },
                    "type" : "array"
                  },
                  "device_type" : {
                    "description" : "One of `mobile_phone`, `watch`, or `tablet`",
                    "type" : "string"
                  },
                  "nonce" : {
                    "description" : "One-time-use nonce provided by Apple for security purposes",
                    "type" : "string"
                  },
                  "nonce_signature" : {
                    "description" : "Apple-provided signature to the nonce",
                    "type" : "string"
                  },
                  "provisioning_app_version" : {
                    "description" : "Version of the application making the provisioning request",
                    "type" : "string"
                  }
                },
                "required" : [ "provisioning_app_version", "device_type", "certificates", "nonce_signature", "card_id", "nonce" ]
              }
            }
          },
          "description" : "The apple-pay-token-request to create",
          "required" : true
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "examples" : {
                  "example" : {
                    "summary" : "Success",
                    "value" : {
                      "activation_data" : "TUJQQUMtMS1GSy03NDgwNTIuMS0tVERF",
                      "card_id" : "card_291u96075mva",
                      "encrypted_pass_data" : "w9NGKYa3OkPGeQ+FmAKGga",
                      "ephemeral_public_key" : "BMop3NufgKwy/r0GX1muvomvw"
                    }
                  }
                },
                "schema" : {
                  "properties" : {
                    "card_id" : {
                      "description" : "The ID card being added to the wallet",
                      "type" : "string"
                    },
                    "certificates" : {
                      "description" : "Leaf and sub-CA certificates provided by Apple",
                      "items" : {
                        "type" : "string"
                      },
                      "type" : "array"
                    },
                    "device_type" : {
                      "description" : "One of `mobile_phone`, `watch`, or `tablet`",
                      "type" : "string"
                    },
                    "nonce" : {
                      "description" : "One-time-use nonce provided by Apple for security purposes",
                      "type" : "string"
                    },
                    "nonce_signature" : {
                      "description" : "Apple-provided signature to the nonce",
                      "type" : "string"
                    },
                    "provisioning_app_version" : {
                      "description" : "Version of the application making the provisioning request",
                      "type" : "string"
                    }
                  }
                }
              }
            },
            "description" : "The apple-pay-token-request created"
          }
        },
        "summary" : "Provision with Apple Pay",
        "tags" : [ "Digital Wallet Tokens" ]
      }
    },
    "/card/{card_id}/digital_wallet_token/google_pay" : {
      "post" : {
        "parameters" : [ {
          "description" : "The ID card being added to the wallet",
          "in" : "path",
          "name" : "card_id",
          "required" : true,
          "schema" : {
            "description" : "The ID card being added to the wallet",
            "type" : "string"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "examples" : {
                "example" : {
                  "summary" : "Example",
                  "value" : {
                    "card_id" : "card_291u96075mva",
                    "device_id" : "W85OGhjZTk2dsr452dgsr51j",
                    "device_type" : "mobile_phone",
                    "provisioning_app_version" : "2.13.3",
                    "wallet_account_id" : "ae25OGhjZTk2dsr452dgsr51"
                  }
                }
              },
              "schema" : {
                "properties" : {
                  "card_id" : {
                    "description" : "The ID card being added to the wallet",
                    "type" : "string"
                  },
                  "device_id" : {
                    "description" : "The user’s Android device ID; the device’s unique identifier",
                    "type" : "string"
                  },
                  "device_type" : {
                    "description" : "One of `mobile_phone`, `watch`, or `tablet`",
                    "type" : "string"
                  },
                  "provisioning_app_version" : {
                    "description" : "Version of the application making the provisioning request",
                    "type" : "string"
                  },
                  "wallet_account_id" : {
                    "description" : "The user’s Google wallet account ID",
                    "type" : "string"
                  }
                },
                "required" : [ "provisioning_app_version", "device_type", "card_id", "device_id", "wallet_account_id" ]
              }
            }
          },
          "description" : "The google-pay-token-request to create",
          "required" : true
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "examples" : {
                  "example" : {
                    "summary" : "Success",
                    "value" : {
                      "card_id" : "card_291u96075mva",
                      "device_type" : "mobile_phone",
                      "provisioning_app_version" : "2.0",
                      "push_tokenize_request_data" : {
                        "display_name" : "Visa Card",
                        "last_digits" : "1234",
                        "network" : "Visa",
                        "opaque_payment_card" : "eyJraWQiOiIxVjMwT1ZCUTNUMjRZMVFBVFRRUza",
                        "token_service_provider" : "TOKEN_PROVIDER_VISA",
                        "user_address" : {
                          "address1" : "1 Market St",
                          "address2" : "Suite 42",
                          "city" : "San Francisco",
                          "country" : "US",
                          "name" : "George Washington",
                          "phone" : "4154845555",
                          "postal_code" : "94104",
                          "state" : "CA"
                        }
                      }
                    }
                  }
                },
                "schema" : {
                  "properties" : {
                    "card_id" : {
                      "description" : "The ID card being added to the wallet",
                      "type" : "string"
                    },
                    "device_id" : {
                      "description" : "The user’s Android device ID; the device’s unique identifier",
                      "type" : "string"
                    },
                    "device_type" : {
                      "description" : "One of `mobile_phone`, `watch`, or `tablet`",
                      "type" : "string"
                    },
                    "provisioning_app_version" : {
                      "description" : "Version of the application making the provisioning request",
                      "type" : "string"
                    },
                    "wallet_account_id" : {
                      "description" : "The user’s Google wallet account ID",
                      "type" : "string"
                    }
                  }
                }
              }
            },
            "description" : "The google-pay-token-request created"
          }
        },
        "summary" : "Provision with Google Pay",
        "tags" : [ "Digital Wallet Tokens" ]
      }
    },
    "/card/{id}" : {
      "get" : {
        "parameters" : [ {
          "description" : "Unique identifier for object",
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "description" : "Unique identifier for object",
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "examples" : {
                  "example" : {
                    "summary" : "Success",
                    "value" : {
                      "account_id" : "acct_291u96075mva",
                      "card_controls" : null,
                      "card_product_id" : "cdpt_w10r2sebv0nl",
                      "created_at" : "2021-02-19T20:42:40Z",
                      "cvv" : null,
                      "expiration" : "0225",
                      "external_id" : "tprime_card_zuhqnmz7e085",
                      "fulfillment" : {
                        "shipping_method" : "USPS Mail (5-7 business days)",
                        "status" : "issued",
                        "tracking_number" : null
                      },
                      "id" : "card_zuhqnmz7e085",
                      "last4" : "3385",
                      "pan" : null,
                      "person_id" : "psn_5vyzn6sveupa",
                      "pin_is_set" : false,
                      "status" : "unactivated",
                      "updated_at" : "2021-02-19T20:42:41Z",
                      "userdata" : null
                    }
                  }
                },
                "schema" : {
                  "properties" : {
                    "account_id" : {
                      "description" : "The ID of the account that the card should be issued against. Filterable.",
                      "type" : "string"
                    },
                    "card_controls" : {
                      "description" : "An object that defines rules for how this card can be used",
                      "properties" : {
                        "controls" : {
                          "items" : {
                            "properties" : {
                              "amount" : {
                                "format" : "float",
                                "type" : "number"
                              },
                              "interval" : {
                                "type" : "string"
                              },
                              "mccs" : {
                                "items" : {
                                  "type" : "string"
                                },
                                "type" : "array"
                              },
                              "mids" : {
                                "items" : {
                                  "type" : "string"
                                },
                                "type" : "array"
                              },
                              "restriction" : {
                                "type" : "string"
                              },
                              "rollover_time" : {
                                "type" : "string"
                              },
                              "timezone" : {
                                "type" : "string"
                              },
                              "type" : {
                                "type" : "string"
                              },
                              "version" : {
                                "type" : "integer"
                              },
                              "window" : {
                                "type" : "integer"
                              }
                            },
                            "type" : "object"
                          },
                          "type" : "array"
                        },
                        "name" : {
                          "type" : "string"
                        }
                      },
                      "type" : "object"
                    },
                    "card_product_id" : {
                      "description" : "The ID of the card product that this card should be issued from. Filterable.",
                      "type" : "string"
                    },
                    "creation_options" : {
                      "description" : "An object that defines additional fields for card customization on creation",
                      "properties" : {
                        "name_line_one" : {
                          "description" : "Specifies the first line of personalized text that appears on the card. (max 21 characters)",
                          "type" : "string"
                        },
                        "name_line_two" : {
                          "description" : "Specifies the second line of personalized text that appears on the card. (max 21 characters)",
                          "type" : "string"
                        }
                      },
                      "type" : "object"
                    },
                    "cvv" : {
                      "description" : "The 3-digit card verification code. Note this field will return null unless the `show_cvv` query parameter is set",
                      "type" : "string"
                    },
                    "expiration" : {
                      "description" : "The card expiration year and month, in MMYY format",
                      "type" : "string"
                    },
                    "fulfillment" : {
                      "description" : "Information about the card's fulfillment process",
                      "properties" : {
                        "shipping_method" : {
                          "description" : "The shipping service used",
                          "type" : "string"
                        },
                        "status" : {
                          "description" : "One of: `issued`, `ordered`, `reordered`, `rejected`, `shipped`, `digitally_presented`",
                          "type" : "string"
                        },
                        "tracking_number" : {
                          "description" : "A tracking number for eligible card manufacturers and shipping methods",
                          "type" : "string"
                        }
                      },
                      "type" : "object"
                    },
                    "id" : {
                      "description" : "Unique identifier for object",
                      "type" : "string"
                    },
                    "last4" : {
                      "description" : "Last 4 digits of the card number. Filterable.",
                      "type" : "string"
                    },
                    "new_pan_from_card_id" : {
                      "description" : "The ID of a card to reissue. If this field is entered a new card will be created without pin, a new PAN, CVV and expiration",
                      "type" : "string"
                    },
                    "pan" : {
                      "description" : "The primary 16-digit card number. Note this field will return null unless the `show_pan` parameter is set",
                      "type" : "string"
                    },
                    "person_id" : {
                      "description" : "The ID of the person representing the cardholder that this card will be issued to. Filterable.",
                      "type" : "string"
                    },
                    "pin_is_set" : {
                      "description" : "Reflects whether the user has set a PIN on the card; initially false",
                      "type" : "boolean"
                    },
                    "reissue_pan_from_card_id" : {
                      "description" : "The ID of a card to reissue. If this field is entered a new card will be created with the same PAN and pin, but new CVV and expiration.",
                      "type" : "string"
                    },
                    "show_cvv" : {
                      "description" : "When true, the `cvv` field will be returned with non-null data. False by default. Requires PCI compliance.",
                      "enum" : [ "true", "false" ],
                      "type" : "string"
                    },
                    "show_pan" : {
                      "description" : "When true, the `pan` field will be returned with non-null data. False by default. Requires PCI compliance.",
                      "enum" : [ "true", "false" ],
                      "type" : "string"
                    },
                    "status" : {
                      "description" : "One of: `unactivated`, `active`, `suspended`, `terminated`. Filterable.",
                      "type" : "string"
                    },
                    "userdata" : {
                      "description" : "Optional arbitrary user data",
                      "type" : "object"
                    }
                  }
                }
              }
            },
            "description" : "The card"
          }
        },
        "summary" : "Fetch a Card",
        "tags" : [ "Card" ]
      },
      "patch" : {
        "parameters" : [ {
          "description" : "Unique identifier for object",
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "description" : "Unique identifier for object",
            "type" : "string"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "examples" : {
                "example" : {
                  "summary" : "Activating a card",
                  "value" : {
                    "status" : "active"
                  }
                }
              },
              "schema" : {
                "properties" : {
                  "card_controls" : {
                    "description" : "An object that defines rules for how this card can be used",
                    "properties" : {
                      "controls" : {
                        "items" : {
                          "properties" : {
                            "amount" : {
                              "format" : "float",
                              "type" : "number"
                            },
                            "interval" : {
                              "type" : "string"
                            },
                            "mccs" : {
                              "items" : {
                                "type" : "string"
                              },
                              "type" : "array"
                            },
                            "mids" : {
                              "items" : {
                                "type" : "string"
                              },
                              "type" : "array"
                            },
                            "restriction" : {
                              "type" : "string"
                            },
                            "rollover_time" : {
                              "type" : "string"
                            },
                            "timezone" : {
                              "type" : "string"
                            },
                            "type" : {
                              "type" : "string"
                            },
                            "version" : {
                              "type" : "integer"
                            },
                            "window" : {
                              "type" : "integer"
                            }
                          },
                          "type" : "object"
                        },
                        "type" : "array"
                      },
                      "name" : {
                        "type" : "string"
                      }
                    },
                    "type" : "object"
                  },
                  "pin" : {
                    "description" : "Write-only field representing the card PIN. When passed, set a PIN on behalf of the user. (4 digit number)",
                    "type" : "string"
                  },
                  "status" : {
                    "description" : "One of: `unactivated`, `active`, `suspended`, `terminated`",
                    "type" : "string"
                  },
                  "userdata" : {
                    "description" : "Arbitrary data the user can attach to the object",
                    "type" : "object"
                  }
                }
              }
            }
          },
          "description" : "The card to update",
          "required" : true
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "examples" : {
                  "example" : {
                    "summary" : "Success",
                    "value" : {
                      "account_id" : "acct_291u96075mva",
                      "card_controls" : null,
                      "card_product_id" : "cdpt_w10r2sebv0nl",
                      "created_at" : "2021-02-19T20:42:40Z",
                      "cvv" : null,
                      "expiration" : "0225",
                      "external_id" : "tprime_card_zuhqnmz7e085",
                      "fulfillment" : {
                        "shipping_method" : "USPS Mail (5-7 business days)",
                        "status" : "issued",
                        "tracking_number" : null
                      },
                      "id" : "card_zuhqnmz7e085",
                      "last4" : "3385",
                      "pan" : null,
                      "person_id" : "psn_5vyzn6sveupa",
                      "pin_is_set" : false,
                      "status" : "active",
                      "updated_at" : "2021-02-19T20:42:41Z",
                      "userdata" : null
                    }
                  }
                },
                "schema" : {
                  "properties" : {
                    "account_id" : {
                      "description" : "The ID of the account that the card should be issued against. Filterable.",
                      "type" : "string"
                    },
                    "card_controls" : {
                      "description" : "An object that defines rules for how this card can be used",
                      "properties" : {
                        "controls" : {
                          "items" : {
                            "properties" : {
                              "amount" : {
                                "format" : "float",
                                "type" : "number"
                              },
                              "interval" : {
                                "type" : "string"
                              },
                              "mccs" : {
                                "items" : {
                                  "type" : "string"
                                },
                                "type" : "array"
                              },
                              "mids" : {
                                "items" : {
                                  "type" : "string"
                                },
                                "type" : "array"
                              },
                              "restriction" : {
                                "type" : "string"
                              },
                              "rollover_time" : {
                                "type" : "string"
                              },
                              "timezone" : {
                                "type" : "string"
                              },
                              "type" : {
                                "type" : "string"
                              },
                              "version" : {
                                "type" : "integer"
                              },
                              "window" : {
                                "type" : "integer"
                              }
                            },
                            "type" : "object"
                          },
                          "type" : "array"
                        },
                        "name" : {
                          "type" : "string"
                        }
                      },
                      "type" : "object"
                    },
                    "card_product_id" : {
                      "description" : "The ID of the card product that this card should be issued from. Filterable.",
                      "type" : "string"
                    },
                    "creation_options" : {
                      "description" : "An object that defines additional fields for card customization on creation",
                      "properties" : {
                        "name_line_one" : {
                          "description" : "Specifies the first line of personalized text that appears on the card. (max 21 characters)",
                          "type" : "string"
                        },
                        "name_line_two" : {
                          "description" : "Specifies the second line of personalized text that appears on the card. (max 21 characters)",
                          "type" : "string"
                        }
                      },
                      "type" : "object"
                    },
                    "cvv" : {
                      "description" : "The 3-digit card verification code. Note this field will return null unless the `show_cvv` query parameter is set",
                      "type" : "string"
                    },
                    "expiration" : {
                      "description" : "The card expiration year and month, in MMYY format",
                      "type" : "string"
                    },
                    "fulfillment" : {
                      "description" : "Information about the card's fulfillment process",
                      "properties" : {
                        "shipping_method" : {
                          "description" : "The shipping service used",
                          "type" : "string"
                        },
                        "status" : {
                          "description" : "One of: `issued`, `ordered`, `reordered`, `rejected`, `shipped`, `digitally_presented`",
                          "type" : "string"
                        },
                        "tracking_number" : {
                          "description" : "A tracking number for eligible card manufacturers and shipping methods",
                          "type" : "string"
                        }
                      },
                      "type" : "object"
                    },
                    "id" : {
                      "description" : "Unique identifier for object",
                      "type" : "string"
                    },
                    "last4" : {
                      "description" : "Last 4 digits of the card number. Filterable.",
                      "type" : "string"
                    },
                    "new_pan_from_card_id" : {
                      "description" : "The ID of a card to reissue. If this field is entered a new card will be created without pin, a new PAN, CVV and expiration",
                      "type" : "string"
                    },
                    "pan" : {
                      "description" : "The primary 16-digit card number. Note this field will return null unless the `show_pan` parameter is set",
                      "type" : "string"
                    },
                    "person_id" : {
                      "description" : "The ID of the person representing the cardholder that this card will be issued to. Filterable.",
                      "type" : "string"
                    },
                    "pin_is_set" : {
                      "description" : "Reflects whether the user has set a PIN on the card; initially false",
                      "type" : "boolean"
                    },
                    "reissue_pan_from_card_id" : {
                      "description" : "The ID of a card to reissue. If this field is entered a new card will be created with the same PAN and pin, but new CVV and expiration.",
                      "type" : "string"
                    },
                    "show_cvv" : {
                      "description" : "When true, the `cvv` field will be returned with non-null data. False by default. Requires PCI compliance.",
                      "enum" : [ "true", "false" ],
                      "type" : "string"
                    },
                    "show_pan" : {
                      "description" : "When true, the `pan` field will be returned with non-null data. False by default. Requires PCI compliance.",
                      "enum" : [ "true", "false" ],
                      "type" : "string"
                    },
                    "status" : {
                      "description" : "One of: `unactivated`, `active`, `suspended`, `terminated`. Filterable.",
                      "type" : "string"
                    },
                    "userdata" : {
                      "description" : "Optional arbitrary user data",
                      "type" : "object"
                    }
                  }
                }
              }
            },
            "description" : "The card updated"
          }
        },
        "summary" : "Update a Card",
        "tags" : [ "Card" ]
      }
    },
    "/card/{id}/token" : {
      "get" : {
        "parameters" : [ {
          "description" : "ID of the Card to retrieve",
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "description" : "ID of the Card to retrieve",
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "examples" : {
                  "example" : {
                    "summary" : "Success",
                    "value" : {
                      "token" : "eyJ0b2tlbiI6ICI0NGM5YWY5NS01O"
                    }
                  }
                },
                "schema" : {
                  "properties" : {
                    "token" : {
                      "description" : "MarqetaJS access token",
                      "type" : "string"
                    }
                  }
                }
              }
            },
            "description" : "The token"
          }
        },
        "summary" : "Request an Access Token",
        "tags" : [ "MarqetaJS" ]
      }
    },
    "/card/{id}/uxt_access_token" : {
      "post" : {
        "parameters" : [ {
          "description" : "The ID of the card to generate a token for",
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "description" : "The ID of the card to generate a token for",
            "type" : "string"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "examples" : {
                "example" : {
                  "summary" : "Success",
                  "value" : {
                    "dpop" : "eyJhbGciOiJFUzI1NiIsInR5cCI6ImRwb3Arand0IiwiandrIjp7Imt0eSI6IkVDIiwiY3J2I"
                  }
                }
              },
              "schema" : {
                "properties" : {
                  "dpop" : {
                    "description" : "A valid Demonstrating Proof of Possession (DPoP) JSON Web Token (JWT).",
                    "type" : "string"
                  }
                }
              }
            }
          },
          "description" : "The ux-token to update",
          "required" : true
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "examples" : {
                  "example" : {
                    "summary" : "Success",
                    "value" : {
                      "access_token" : "eyJhbGciOiJFUzI1NiIsInR5cCI6ImRwb3Arand0IiwiandrIjp7Imt0eSI6IkVDIiwieCI6ImdIM3F5X0xRS3Q3NW9Bejg0R0hhRW5IVUdaVzIydjdFdkhPcmEtSUZqTTAiLCJ5IjoieFlDcDVIUjVHbV90UVBQQ0ZyLU1TUUd1TEYtRkhtbWlEaEl4U3g4MUh6TSIsImNydiI6IlAtMjU2In19.eyJhdGgiOiJ6VVdYc3hicmt6MGtlM0pHQm93UzZRYXVCaVZjWDhPeVY2T3lGQURDT05nIiwiaHR1IjoiaHR0cHM6Ly91eC10b29sa2l0LWFwaS1zYW5kYm94Lm1hcnFldGEuY29tL2FwaS92MS9hdXRoL3Byb2dyYW0tc2hvcnQtY29kZSIsImh0bSI6IkdFVCIsImp0aSI6IjgxNjc2YWQxLTM0MmMtNDZhNi05OTg5LWFiMWFlOWZhZGMxMCIsImlhdCI6MTc0ODkwNTczMSwiZXhwIjoxNzQ4OTA1NzkxfQ.fP3s2El6PlBfJUI-Pc98T6GdPTZgKvFmFnWx75QtOdhTXNJz9RVNEcddIK7YHpbubETcrvs6LZm-vAwZ1B7R1g",
                      "expires_in" : 3600,
                      "token_type" : "DPoP"
                    }
                  }
                },
                "schema" : {
                  "properties" : { }
                }
              }
            },
            "description" : "The ux-token updated"
          }
        },
        "summary" : "Request a Marqeta UX Toolkit Access Token",
        "tags" : [ "MarqetaUXT" ]
      }
    },
    "/card_auth_loop_endpoint" : {
      "get" : {
        "parameters" : [ {
          "description" : "Pagination cursor, value is the object ID.",
          "in" : "query",
          "name" : "page_cursor",
          "schema" : {
            "type" : "string"
          }
        }, {
          "description" : "Limits the number of objects in the returned list, value must be a number greater than or equal to 1. Defaults to 100.",
          "in" : "query",
          "name" : "page_size",
          "schema" : {
            "default" : 100,
            "minimum" : 1,
            "type" : "integer"
          }
        }, {
          "description" : "Lists the objects created on the date provided and onwards. Date must be in ISO 8601 format (“YYYY-MM-DD”).",
          "in" : "query",
          "name" : "from_date",
          "schema" : {
            "type" : "string"
          }
        }, {
          "description" : "Lists the objects created before the date provided. Date must be in ISO 8601 format (“YYYY-MM-DD”).",
          "in" : "query",
          "name" : "to_date",
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "examples" : {
                  "example" : {
                    "summary" : "Success",
                    "value" : {
                      "data" : [ {
                        "basic_secret" : "<encrypted value>",
                        "basic_user" : "organization_name",
                        "created_at" : "2023-12-01T17:00:00Z",
                        "default_response" : "approved",
                        "id" : "cale_11ghk0709srf",
                        "updated_at" : "2023-12-01T17:00:00Z",
                        "url" : "https://example.application.com/newurl",
                        "userdata" : null
                      } ]
                    }
                  }
                },
                "schema" : {
                  "properties" : {
                    "data" : {
                      "items" : {
                        "properties" : {
                          "basic_secret" : {
                            "description" : "First value in `base64(basic_user:basic_secret)`, sent as Authorization for request validation. This will appear as `<encrypted value>` in all responses, for security",
                            "type" : "string"
                          },
                          "basic_user" : {
                            "description" : "First value in `base64(basic_user:basic_secret)`, sent as Authorization for request validation",
                            "type" : "string"
                          },
                          "default_response" : {
                            "description" : "Default response to use when the endpoint doesn't respond within the timeout period or returns an error. Please see Managing Card Authorizations for details and warnings. Defaults to 'approved'.",
                            "type" : "string"
                          },
                          "id" : {
                            "description" : "Unique identifier for object",
                            "type" : "string"
                          },
                          "url" : {
                            "description" : "The HTTPS URL that will respond to the card auth message",
                            "type" : "string"
                          },
                          "userdata" : {
                            "description" : "Arbitrary data the user can attach",
                            "type" : "object"
                          }
                        },
                        "type" : "object"
                      },
                      "type" : "array"
                    }
                  }
                }
              }
            },
            "description" : "A dictionary with a `data` property that contains a list of up to `page_size` card_auth_loop_endpoint elements, starting after the card_auth_loop_endpoint described by `page_cursor`. If no more card_auth_loop_endpoints are available, the resulting list will be empty."
          }
        },
        "summary" : "List Endpoints",
        "tags" : [ "Card Auth Loop Endpoint" ]
      },
      "post" : {
        "requestBody" : {
          "content" : {
            "application/json" : {
              "examples" : {
                "example" : {
                  "summary" : "Success",
                  "value" : {
                    "basic_secret" : "secret",
                    "basic_user" : "organization_name",
                    "url" : "https://example.application.com/newurl"
                  }
                }
              },
              "schema" : {
                "properties" : {
                  "basic_secret" : {
                    "description" : "First value in `base64(basic_user:basic_secret)`, sent as Authorization for request validation. This will appear as `<encrypted value>` in all responses, for security",
                    "type" : "string"
                  },
                  "basic_user" : {
                    "description" : "First value in `base64(basic_user:basic_secret)`, sent as Authorization for request validation",
                    "type" : "string"
                  },
                  "default_response" : {
                    "description" : "Default response to use when the endpoint doesn't respond within the timeout period or returns an error. Please see Managing Card Authorizations for details and warnings. Defaults to 'approved'.",
                    "type" : "string"
                  },
                  "url" : {
                    "description" : "The HTTPS URL that will respond to the card auth message",
                    "type" : "string"
                  },
                  "userdata" : {
                    "description" : "Arbitrary data the user can attach",
                    "type" : "object"
                  }
                },
                "required" : [ "id", "url" ]
              }
            }
          },
          "description" : "The card_auth_loop_endpoint to create",
          "required" : true
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "examples" : {
                  "example" : {
                    "summary" : "Success",
                    "value" : {
                      "basic_secret" : "<encrypted value>",
                      "basic_user" : "organization_name",
                      "created_at" : "2023-12-01T17:00:00Z",
                      "default_response" : "approved",
                      "id" : "cale_11ghk0709srf",
                      "updated_at" : "2023-12-01T17:00:00Z",
                      "url" : "https://example.application.com/newurl",
                      "userdata" : null
                    }
                  }
                },
                "schema" : {
                  "properties" : {
                    "basic_secret" : {
                      "description" : "First value in `base64(basic_user:basic_secret)`, sent as Authorization for request validation. This will appear as `<encrypted value>` in all responses, for security",
                      "type" : "string"
                    },
                    "basic_user" : {
                      "description" : "First value in `base64(basic_user:basic_secret)`, sent as Authorization for request validation",
                      "type" : "string"
                    },
                    "default_response" : {
                      "description" : "Default response to use when the endpoint doesn't respond within the timeout period or returns an error. Please see Managing Card Authorizations for details and warnings. Defaults to 'approved'.",
                      "type" : "string"
                    },
                    "id" : {
                      "description" : "Unique identifier for object",
                      "type" : "string"
                    },
                    "url" : {
                      "description" : "The HTTPS URL that will respond to the card auth message",
                      "type" : "string"
                    },
                    "userdata" : {
                      "description" : "Arbitrary data the user can attach",
                      "type" : "object"
                    }
                  }
                }
              }
            },
            "description" : "The card_auth_loop_endpoint created"
          }
        },
        "summary" : "Create an Endpoint",
        "tags" : [ "Card Auth Loop Endpoint" ]
      }
    },
    "/card_auth_loop_endpoint/{id}" : {
      "delete" : {
        "parameters" : [ {
          "description" : "Unique identifier for object",
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "description" : "Unique identifier for object",
            "type" : "string"
          }
        } ],
        "responses" : {
          "204" : {
            "description" : "Success"
          }
        },
        "summary" : "Delete an Endpoint",
        "tags" : [ "Card Auth Loop Endpoint" ]
      },
      "get" : {
        "parameters" : [ {
          "description" : "Unique identifier for object",
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "description" : "Unique identifier for object",
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "examples" : {
                  "example" : {
                    "summary" : "Success",
                    "value" : {
                      "basic_secret" : "<encrypted value>",
                      "basic_user" : "organization_name",
                      "created_at" : "2023-12-01T17:00:00Z",
                      "default_response" : "approved",
                      "id" : "cale_11ghk0709srf",
                      "updated_at" : "2023-12-01T17:00:00Z",
                      "url" : "https://example.application.com/newurl",
                      "userdata" : null
                    }
                  }
                },
                "schema" : {
                  "properties" : {
                    "basic_secret" : {
                      "description" : "First value in `base64(basic_user:basic_secret)`, sent as Authorization for request validation. This will appear as `<encrypted value>` in all responses, for security",
                      "type" : "string"
                    },
                    "basic_user" : {
                      "description" : "First value in `base64(basic_user:basic_secret)`, sent as Authorization for request validation",
                      "type" : "string"
                    },
                    "default_response" : {
                      "description" : "Default response to use when the endpoint doesn't respond within the timeout period or returns an error. Please see Managing Card Authorizations for details and warnings. Defaults to 'approved'.",
                      "type" : "string"
                    },
                    "id" : {
                      "description" : "Unique identifier for object",
                      "type" : "string"
                    },
                    "url" : {
                      "description" : "The HTTPS URL that will respond to the card auth message",
                      "type" : "string"
                    },
                    "userdata" : {
                      "description" : "Arbitrary data the user can attach",
                      "type" : "object"
                    }
                  }
                }
              }
            },
            "description" : "The card_auth_loop_endpoint"
          }
        },
        "summary" : "Fetch an Endpoint",
        "tags" : [ "Card Auth Loop Endpoint" ]
      },
      "patch" : {
        "parameters" : [ {
          "description" : "Unique identifier for object",
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "description" : "Unique identifier for object",
            "type" : "string"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "examples" : {
                "example" : {
                  "summary" : "Updating URL and credentials",
                  "value" : {
                    "basic_secret" : "secret",
                    "basic_user" : "organization_name",
                    "url" : "https://example.application.com/newurl"
                  }
                }
              },
              "schema" : {
                "properties" : {
                  "basic_secret" : {
                    "description" : "First value in `base64(basic_user:basic_secret)`, sent as Authorization for request validation. This will appear as `<encrypted value>` in all responses, for security",
                    "type" : "string"
                  },
                  "basic_user" : {
                    "description" : "First value in `base64(basic_user:basic_secret)`, sent as Authorization for request validation",
                    "type" : "string"
                  },
                  "default_response" : {
                    "description" : "Default response to use when the endpoint doesn't respond within the timeout period or returns an error. Please see Managing Card Authorizations for details and warnings. Defaults to 'approved'.",
                    "type" : "string"
                  },
                  "url" : {
                    "description" : "The HTTPS URL that will respond to the card auth message",
                    "type" : "string"
                  },
                  "userdata" : {
                    "description" : "Arbitrary data the user can attach",
                    "type" : "object"
                  }
                }
              }
            }
          },
          "description" : "The card_auth_loop_endpoint to update",
          "required" : true
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "examples" : {
                  "example" : {
                    "summary" : "Success",
                    "value" : {
                      "basic_secret" : "<encrypted value>",
                      "basic_user" : "organization_name",
                      "created_at" : "2023-12-01T17:00:00Z",
                      "default_response" : "approved",
                      "id" : "cale_11ghk0709srf",
                      "updated_at" : "2023-12-01T17:00:00Z",
                      "url" : "https://example.application.com/newurl",
                      "userdata" : null
                    }
                  }
                },
                "schema" : {
                  "properties" : {
                    "basic_secret" : {
                      "description" : "First value in `base64(basic_user:basic_secret)`, sent as Authorization for request validation. This will appear as `<encrypted value>` in all responses, for security",
                      "type" : "string"
                    },
                    "basic_user" : {
                      "description" : "First value in `base64(basic_user:basic_secret)`, sent as Authorization for request validation",
                      "type" : "string"
                    },
                    "default_response" : {
                      "description" : "Default response to use when the endpoint doesn't respond within the timeout period or returns an error. Please see Managing Card Authorizations for details and warnings. Defaults to 'approved'.",
                      "type" : "string"
                    },
                    "id" : {
                      "description" : "Unique identifier for object",
                      "type" : "string"
                    },
                    "url" : {
                      "description" : "The HTTPS URL that will respond to the card auth message",
                      "type" : "string"
                    },
                    "userdata" : {
                      "description" : "Arbitrary data the user can attach",
                      "type" : "object"
                    }
                  }
                }
              }
            },
            "description" : "The card_auth_loop_endpoint updated"
          }
        },
        "summary" : "Update an Endpoint",
        "tags" : [ "Card Auth Loop Endpoint" ]
      }
    },
    "/card_event" : {
      "get" : {
        "parameters" : [ {
          "description" : "The ID of the card associated with the event. Filterable.",
          "in" : "query",
          "name" : "card_id",
          "schema" : {
            "type" : "string"
          }
        }, {
          "description" : "Identifier used to link card events to transactions. Filterable.",
          "in" : "query",
          "name" : "trace_id",
          "schema" : {
            "type" : "string"
          }
        }, {
          "description" : "Pagination cursor, value is the object ID.",
          "in" : "query",
          "name" : "page_cursor",
          "schema" : {
            "type" : "string"
          }
        }, {
          "description" : "Limits the number of objects in the returned list, value must be a number greater than or equal to 1. Defaults to 100.",
          "in" : "query",
          "name" : "page_size",
          "schema" : {
            "default" : 100,
            "minimum" : 1,
            "type" : "integer"
          }
        }, {
          "description" : "Lists the objects created on the date provided and onwards. Date must be in ISO 8601 format (“YYYY-MM-DD”).",
          "in" : "query",
          "name" : "from_date",
          "schema" : {
            "type" : "string"
          }
        }, {
          "description" : "Lists the objects created before the date provided. Date must be in ISO 8601 format (“YYYY-MM-DD”).",
          "in" : "query",
          "name" : "to_date",
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "examples" : {
                  "example" : {
                    "summary" : "Success",
                    "value" : {
                      "data" : [ {
                        "amount" : "10.00",
                        "atm" : null,
                        "card_id" : "card_09876543421",
                        "created_at" : "2017-11-02T11:55:14Z",
                        "currency" : "USD",
                        "decline_reason" : "Card Not Active",
                        "id" : "cnm_2345678901",
                        "merchant" : {
                          "address" : {
                            "city" : "EDGEWATER",
                            "country" : "USA",
                            "postal_code" : "07020",
                            "state" : "NJ"
                          },
                          "mcc" : "0000",
                          "mid" : "0123456789",
                          "name" : "A VENDOR NAME"
                        },
                        "message_type" : "auth-request",
                        "network" : "mastercard",
                        "network_created_at" : "2017-11-02T11:55:09Z",
                        "networkdata" : {
                          "acquirer" : null,
                          "acquirer_fee_amount" : 0.0,
                          "acting_user_token" : "0146434d-3c22-4906-a538-b61d39cf6f71",
                          "amount" : 10.0,
                          "card_acceptor" : {
                            "address" : "330 Central Ave.",
                            "city" : "St. Petersburg",
                            "country_code" : "USA",
                            "mcc" : "6411",
                            "mid" : "123456890",
                            "name" : "Marqeta Storefront",
                            "postal_code" : "33705",
                            "state" : "FL"
                          },
                          "card_security_code_verification" : null,
                          "card_token" : "028b20b2-215f-4ab4-a334-f08d99def0e4",
                          "created_time" : "2022-09-29T21:35:03Z",
                          "currency_code" : "USD",
                          "digital_wallet_token" : {
                            "address_verification" : {
                              "name" : "",
                              "street_address" : "180 Grand Ave",
                              "zip" : "**MASKED**"
                            },
                            "card_token" : "IC_4e3omf16hwgbfpt7pumg6tfky",
                            "device" : {
                              "device_id" : "0423117BE44E80018327074341948822B514D73218EB41DE",
                              "ip_address" : "101.203.084.990",
                              "language_code" : "eng",
                              "location" : "+35.96/-78.85",
                              "name" : "iPhone",
                              "phone_number" : "14088581301",
                              "type" : "MOBILE_PHONE"
                            },
                            "state" : "ACTIVE",
                            "token" : "4c72bc11-1574-48c3-8cba-586072a7432f"
                          },
                          "fraud" : {
                            "network" : {
                              "account_risk_score" : 2,
                              "transaction_risk_score" : 86
                            }
                          },
                          "issuer_interchange_amount" : 0.0,
                          "network" : "MASTERCARD",
                          "pos" : {
                            "card_holder_presence" : false,
                            "card_presence" : false,
                            "is_recurring" : false,
                            "pan_entry_mode" : "MAG_STRIPE",
                            "partial_approval_capable" : false,
                            "pin_entry_mode" : "TRUE",
                            "purchase_amount_only" : false,
                            "terminal_attendance" : "ATTENDED",
                            "terminal_id" : "TR100000"
                          },
                          "request_amount" : 10.0,
                          "settlement_date" : "2022-09-29T00:00:00Z",
                          "state" : "PENDING",
                          "token" : "9699f5fc-3516-49c1-93a1-f6a9e6635bdf",
                          "type" : "authorization.incremental",
                          "user_token" : "0146434d-3c22-4906-a538-b61d39cf6f71",
                          "user_transaction_time" : "2022-09-29T21:35:03Z"
                        },
                        "processor" : "marqeta",
                        "status" : "denied",
                        "updated_at" : "2017-11-02T11:55:14Z"
                      } ]
                    }
                  }
                },
                "schema" : {
                  "properties" : {
                    "data" : {
                      "items" : {
                        "properties" : {
                          "amount" : {
                            "description" : "Amount of money related to the event, with two decimal precision",
                            "pattern" : "^-?[0-9]+[.][0-9][0-9]$",
                            "type" : "string"
                          },
                          "approved_amount" : {
                            "description" : "Approved amount of money related to the event, with two decimal precision",
                            "pattern" : "^-?[0-9]+[.][0-9][0-9]$",
                            "type" : "string"
                          },
                          "atm" : {
                            "description" : "Object representing data related to ATM transactions",
                            "properties" : {
                              "network" : {
                                "description" : "ATM network for event",
                                "type" : "string"
                              },
                              "network_fee" : {
                                "description" : "Fee associated with event",
                                "type" : "string"
                              }
                            },
                            "type" : "object"
                          },
                          "bank_id" : {
                            "description" : "ID of the bank associated with the card event",
                            "type" : "string"
                          },
                          "card_id" : {
                            "description" : "The ID of the card associated with the event. Filterable.",
                            "type" : "string"
                          },
                          "currency" : {
                            "description" : "Three digit currency code",
                            "type" : "string"
                          },
                          "decline_reason" : {
                            "description" : "The reason denied requests were not approved",
                            "type" : "string"
                          },
                          "id" : {
                            "description" : "Unique identifier for object",
                            "type" : "string"
                          },
                          "merchant" : {
                            "description" : "Object representing the merchant where the card event occurred",
                            "properties" : {
                              "address" : {
                                "description" : "Object containg `city`, `state`, `postal_code`, and `country` as strings",
                                "properties" : {
                                  "city" : {
                                    "description" : "Merchant city",
                                    "type" : "string"
                                  },
                                  "country" : {
                                    "description" : "Three-digit country abbreviation",
                                    "type" : "string"
                                  },
                                  "postal_code" : {
                                    "description" : "Five-digit postal code",
                                    "type" : "string"
                                  },
                                  "state" : {
                                    "description" : "Two-digit state abbreviation",
                                    "type" : "string"
                                  }
                                },
                                "type" : "object"
                              },
                              "mcc" : {
                                "description" : "Merchant category code",
                                "type" : "string"
                              },
                              "mid" : {
                                "description" : "Merchant ID",
                                "type" : "string"
                              },
                              "name" : {
                                "description" : "Name of the merchant",
                                "type" : "string"
                              }
                            },
                            "type" : "object"
                          },
                          "message_type" : {
                            "description" : "Type of message. See Message Types",
                            "type" : "string"
                          },
                          "network" : {
                            "description" : "Card network the event occurred on (e.g., `mastercard`)",
                            "type" : "string"
                          },
                          "network_created_at" : {
                            "description" : "Timestamp of when the network states the event was created. This should match closely to the standard created_at field on the object. It may differ slightly due to the amount of time it takes Treasury Prime to process the event",
                            "type" : "string"
                          },
                          "networkdata" : {
                            "description" : "Information received from the network. The structure of this information depends on the processor, but may contain information such as amount, fees, or additional information about the transaction",
                            "type" : "object"
                          },
                          "org_id" : {
                            "description" : "ID of the organization associated with the card event",
                            "type" : "string"
                          },
                          "processor" : {
                            "description" : "Processor that issued the card",
                            "type" : "string"
                          },
                          "status" : {
                            "description" : "Status of event. One of `pending`, `error`, `approved`, `denied`, `timeout`, or `received`",
                            "type" : "string"
                          },
                          "trace_id" : {
                            "description" : "Identifier used to link card events to transactions. Filterable.",
                            "type" : "string"
                          }
                        },
                        "type" : "object"
                      },
                      "type" : "array"
                    }
                  }
                }
              }
            },
            "description" : "A dictionary with a `data` property that contains a list of up to `page_size` card_event elements, starting after the card_event described by `page_cursor`. If no more card_events are available, the resulting list will be empty."
          }
        },
        "summary" : "List Card Events",
        "tags" : [ "Card Event" ]
      }
    },
    "/card_event/{id}" : {
      "get" : {
        "parameters" : [ {
          "description" : "Unique identifier for object",
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "description" : "Unique identifier for object",
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "examples" : {
                  "example" : {
                    "summary" : "Success",
                    "value" : {
                      "amount" : "10.00",
                      "atm" : null,
                      "card_id" : "card_09876543421",
                      "created_at" : "2017-11-02T11:55:14Z",
                      "currency" : "USD",
                      "decline_reason" : "Card Not Active",
                      "id" : "cnm_2345678901",
                      "merchant" : {
                        "address" : {
                          "city" : "EDGEWATER",
                          "country" : "USA",
                          "postal_code" : "07020",
                          "state" : "NJ"
                        },
                        "mcc" : "0000",
                        "mid" : "0123456789",
                        "name" : "A VENDOR NAME"
                      },
                      "message_type" : "auth-request",
                      "network" : "mastercard",
                      "network_created_at" : "2017-11-02T11:55:09Z",
                      "networkdata" : {
                        "acquirer" : null,
                        "acquirer_fee_amount" : 0.0,
                        "acting_user_token" : "0146434d-3c22-4906-a538-b61d39cf6f71",
                        "amount" : 10.0,
                        "card_acceptor" : {
                          "address" : "330 Central Ave.",
                          "city" : "St. Petersburg",
                          "country_code" : "USA",
                          "mcc" : "6411",
                          "mid" : "123456890",
                          "name" : "Marqeta Storefront",
                          "postal_code" : "33705",
                          "state" : "FL"
                        },
                        "card_security_code_verification" : null,
                        "card_token" : "028b20b2-215f-4ab4-a334-f08d99def0e4",
                        "created_time" : "2022-09-29T21:35:03Z",
                        "currency_code" : "USD",
                        "digital_wallet_token" : {
                          "address_verification" : {
                            "name" : "",
                            "street_address" : "180 Grand Ave",
                            "zip" : "**MASKED**"
                          },
                          "card_token" : "IC_4e3omf16hwgbfpt7pumg6tfky",
                          "device" : {
                            "device_id" : "0423117BE44E80018327074341948822B514D73218EB41DE",
                            "ip_address" : "101.203.084.990",
                            "language_code" : "eng",
                            "location" : "+35.96/-78.85",
                            "name" : "iPhone",
                            "phone_number" : "14088581301",
[...]
